Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# IORTable::Locator Interface Reference

Callback interface to locate object keys dynamically. More...

`#include <IORTableC.h>`

Inheritance diagram for IORTable::Locator:

[legend]
Collaboration diagram for IORTable::Locator:

[legend]
List of all members.

## Public Types
typedef Locator_ptr | _ptr_type
typedef Locator_var | _var_type
## Public Methods
string | locate (in string object_key) raises (NotFound)
| Returns an IOR to use for <object_key>. More...
virtual char * | locate (const char *object_key ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IORTable::NotFound )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
Locator_ptr | _duplicate (Locator_ptr obj)
Locator_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Locator_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Locator_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| Locator (void)
virtual | ~Locator (void)
## Private Methods
| Locator (const Locator &)
void | operator= (const Locator &)

## Detailed Description

Callback interface to locate object keys dynamically.

The application can provide a callback interface to locate object keys dynamically.

## Member Typedef Documentation

typedef Locator_ptr IORTable::Locator::_ptr_type

| Reimplemented from CORBA_Object.

typedef Locator_var IORTable::Locator::_var_type

| Reimplemented from CORBA_Object.

## Constructor & Destructor Documentation

IORTable::Locator::Locator | ( | void |  | ) | `[protected]`

virtual IORTable::Locator::~Locator | ( | void |  | ) | `[protected, virtual]`

IORTable::Locator::Locator | ( | const Locator & |  | ) | `[private]`

## Member Function Documentation

Locator_ptr IORTable::Locator::_duplicate | ( | Locator_ptr | obj | ) | `[static]`

virtual const char* IORTable::Locator::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA_Object.

Locator_ptr IORTable::Locator::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

Locator_ptr IORTable::Locator::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA_Object.

virtual void* IORTable::Locator::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA_Object.

Locator_ptr IORTable::Locator::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

virtual char* IORTable::Locator::locate | ( | const char *object_key | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , IORTable::NotFound )`[pure virtual]`

string IORTable::Locator::locate | ( | in string | object_key | ) | raises (NotFound)

| Returns an IOR to use for <object_key>.

void IORTable::Locator::operator= | ( | const Locator & |  | ) | `[private]`

## Member Data Documentation

int IORTable::Locator::_tao_class_id`[static]`

| Reimplemented from CORBA_Object.

The documentation for this interface was generated from the following files:

- IORTable.pidl
- IORTableC.h